<div class="css-17">
  <div class="header">
    <div class="back-button-start" routerLink = "/home">
      <img class="icon" src='/assets/svg/back.svg'>
    </div>

    <!-- <div class="home-likebutton" routerLink="/home">
      <div class="like" (click)="closeModal()">
        <img class="icon" src='/assets/svg/close.svg'>
      </div>
    </div> -->
  </div>
</div>

<ion-content>

  <ion-slides scrollbar="android" class="start_swiper_slide" [options]="slideOpts">
    <ion-slide class="swiper-slide" *ngFor="let image of inf?.images">
      <div class="slider_image-wrap">
        <img class="imageOfslide" src="{{image}}" alt="" />
      </div>
    </ion-slide>
  </ion-slides>
  <h4 style="text-align: center;">{{inf?.name}}</h4>
  <div class="price-bar">
    <span class="heading">{{inf?.price}}</span>
  </div>
  <div class="desc-div">
    <h6>Кыска маалымат</h6>
    <p class="desc-text">
      <span>{{inf?.description}}</span>
    </p>
  </div>
  <p class="row-dat">Кошулган датасы: {{inf?.time | date: "dd/MM/yyyy"}}</p>
  <!-- 
  <div>
    <ion-button expand="block"  fill ="clear" shape="round" style="background-color:darkorange; color: white; border-radius: 24px;margin-bottom: 16px;">
      Поделиться с друзями
    </ion-button>
  </div> -->

  <div *ngIf="inf.phoneNumber.length > 4 && inf.whatsApp.length >4">
    <div class="vertical-center">
      <ion-text class="ion-text-center">
        <h5>Телефон жана Whatsapp</h5>
      </ion-text>
      <div class="phoneNum">
        <ion-button *ngIf="inf.phoneNumber.length > 4"  color="light" (click)="directCall(inf.phoneNumber)">
          <ion-icon name="call"></ion-icon>
          {{inf.phoneNumber}}
        </ion-button>
    
        <ion-button *ngIf="inf.whatsApp.length > 4"  color="light" href="https://api.whatsapp.com/send?phone={{inf.whatsApp.substring(1)}}">
          <ion-icon name="logo-whatsapp"></ion-icon>
          {{inf.whatsApp}}
        </ion-button>
      </div>
    </div>
  </div>

  <h4 style="padding:1rem;">Акыркы жаңылыктар</h4>

  <div class="row">
    <div *ngFor="let info of lastAddedAds; let odd = odd">
      <article class="articLeft" (click)="showInfo(info)">
        <div class="reklama_photo">
          <span *ngIf="allowStatus(info.status)">
            <div class="image_border_premium">
              <img class="imag" src="{{ info.images[0]}}">
              <span class="premium-icon">
                <span class="premium-icon-title">
                  <ion-icon slot="start" name="star-outline"></ion-icon>Premium
                </span>
              </span>
            </div>
          </span>

          <span *ngIf="!allowStatus(info.status)">
            <div class="image_border_static">
              <img class="imag" src="{{info.images[0]}}">
            </div>
          </span>
        </div>
        <p *ngIf="info.price.length>0"  class="reklama_price"><span class="reklama_price_title">{{info.price}}</span></p>

        <div class="reklama_topic_div">
          <span class="reklama_topic">{{info.name}}</span>
        </div>
        <ion-footer class="row-footer">
          <p class="row-date">{{info.time | date: "dd/MM/yyyy"}}</p>
          <div class="footer-buttons">
            <a *ngIf="!checkRole"  class="buttons-icons" (click)="directCall(info.phoneNumber)">
              <ion-icon name="call"></ion-icon>
            </a>

            <a *ngIf="!checkRole"  class="buttons-icons" href="https://api.whatsapp.com/send?phone={{info.whatsApp.substring(1)}}">
              <ion-icon name="logo-whatsapp"></ion-icon>
            </a>

            <a class="buttons-icons" *ngIf="checkRole">
              <ion-icon name="trash" (click)="presentAlertConfirm(info)"></ion-icon>
            </a>
            <a class="buttons-icons" *ngIf="checkRole">
              <ion-icon name="create" routerLink = "/edit/{{info.id}}"></ion-icon>
            </a>
          </div>
        </ion-footer>
      </article>
    </div>

    <!-- <div *ngFor="let info of lastAddedAds; let even = even;">
      <article class="articRigth"*ngIf="even">
        <div class="reklama_photo">
          <span>
            <div class="image_border_premium">
              <img class="imag" src="{{ info.images[0]}}">
              <span class="premium-icon">
                <span class="premium-icon-title"><ion-icon slot="start" name="star-outline"></ion-icon>Premium</span>
              </span>
            </div>
          </span>
        
        </div>
        <p class="reklama_price"><span class="reklama_price_title">{{info.price}}</span></p>

        <div class="reklama_topic_div">
          <span class="reklama_topic">{{info.name}}</span>
        </div>
      </article>
      </div> -->
  </div>

</ion-content>

<div class="ion-text-center" style="height: 3rem;background-color: transparent;padding: 10px;">
  <a class="classic" href="https://api.whatsapp.com/send?phone=996708602720"
    style="padding:10px; background-color:darkorange; color:white; border-radius:24px; font-size: large;">
    Реклама беруу
  </a>
  <!-- <a (click)="closeModal()" >Обьявления</a> -->
</div>